Bug 100622 - Google-talkplugin fails in webkit gtk browsers under GNU/Linux
Summary: Google-talkplugin fails in webkit gtk browsers under GNU/Linux
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 420+
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-28 18:38 PDT by Sam Stuewe
Modified: 2017-03-11 10:51 PST (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Stuewe 2012-10-28 18:38:25 PDT
With libwebkit version 1.8.3, Chromium (Chrome) and Firefox both load Google-talkplugin fine, but webkit gtk browsers (luakit, midori, dwb, etc.) either fail to initialize the plugin or crash upon the load.

Steps to reproduce:

1. Install Chromium or Firefox and the google-talkplugin (in the case of Archlinux, from the AUR). Open the browser and go to plus.google.com/hangouts and start a hangout to verify that the plugin functions.

2. Install dwb (or another webkit gtk browser), and browse to plus.google.com/hangouts and start a hangout to see the "Troubleshooting Hangouts" error page from Google+ to verify that it fails to function.
Comment 1 Sam Stuewe 2012-10-28 18:39:20 PDT
I am unsure of the webkit gtk version to report. The version of libwebkit I have installed is 1.8.3-1 (from the Arch official repos).
Comment 2 Sam Stuewe 2013-03-07 15:26:15 PST
As an update, this problem is still present with local/webkitgtk2 1.10.2-2
Comment 3 Marko Rakamaric 2013-05-02 07:44:53 PDT
why is this still uncomfirmed? 
while you can find so much users who's complaining about this issue. I am also affected. 
My webkit version is 
  : webkitgtk2 1.10.2-2
same issue persist on webkit-gtk3 version

will it ever be resolved or assigned to anyone?
Comment 4 Sam Stuewe 2013-05-02 08:11:09 PDT
This bug definitely still exists, but the reporting system is a bit unhelpful here. I know the versions of libwebkit and webkit-gtk, but the available versions which I can report on do not follow the same versioning system. So, I don't actually know if the version I have selected is correct. But yeah, this is definitely still a thing.
Comment 5 Zan Dobersek 2013-05-02 09:17:17 PDT
Can confirm with trunk.

Receiving this output:
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:000] Using Gtk2 toolkit
[000:004] Starting client channel.
[000:004] Warning(clientchannel.cc:436): Unreadable or no port file.  Could not initiate GoogleTalkPlugin connection
[000:005] Warning(clientchannel.cc:411): Could not initiate GoogleTalkPlugin connection
[000:005] GoogleTalkPlugin not running. Starting new process...
[000:005] Warning(optionsfile.cc:47): Load: Could not open file, err=2
[000:005] Warning(pluginutils.cc:251): Failed to get GoogleTalkPlugin path. Trying default.
[000:006] Started GoogleTalkPlugin, path=/opt/google/talkplugin/GoogleTalkPlugin
[000:007] Waiting for GoogleTalkPlugin to start...
[001:103] Attempting to connect to GoogleTalkPlugin...
[001:103] Warning(clientchannel.cc:436): Unreadable or no port file.  Could not initiate GoogleTalkPlugin connection
[001:103] Warning(clientchannel.cc:411): Could not initiate GoogleTalkPlugin connection
[001:103] Waiting for GoogleTalkPlugin to start...
[002:104] Attempting to connect to GoogleTalkPlugin...
[002:105] Warning(clientchannel.cc:436): Unreadable or no port file.  Could not initiate GoogleTalkPlugin connection
[002:105] Warning(clientchannel.cc:411): Could not initiate GoogleTalkPlugin connection
[002:105] Waiting for GoogleTalkPlugin to start...
[003:106] Attempting to connect to GoogleTalkPlugin...
[003:106] Warning(clientchannel.cc:436): Unreadable or no port file.  Could not initiate GoogleTalkPlugin connection
[003:106] Warning(clientchannel.cc:411): Could not initiate GoogleTalkPlugin connection
[003:106] Waiting for GoogleTalkPlugin to start...
[004:109] Attempting to connect to GoogleTalkPlugin...
[004:109] Warning(clientchannel.cc:436): Unreadable or no port file.  Could not initiate GoogleTalkPlugin connection
... (the iterations continuing)
Comment 6 Zan Dobersek 2013-05-04 01:17:18 PDT
Interestingly, the hangouts actually function properly under WebKitGTK+ when the following is done:

1. Open the Chrome browser, go to https://plus.google.com/hangouts,
2. Start a hangout, wait for the initalization to complete & video to show,
3. Close the hangout window, but stay on https://plus.google.com/hangouts,
4. Start the GtkLauncher (testing on ToT, can't yet confirm for Epiphany), go to https://plus.google.com/hangouts,
5. Start a hangout, the video should now show.
Comment 7 Zan Dobersek 2013-05-23 05:24:09 PDT
Now works with trunk and in WebKit2GTK+ 2.0, with Google Talk Plugin 3.19.1.0-1. Checked in the MiniBrowser app and Epiphany 3.8.

The issue in the first place was the Talk plugin running with an incorrect libudev shared library, but this seems to have been fixed.
Comment 8 Zan Dobersek 2013-05-23 05:27:17 PDT
Can confirm this is still an issue in WebKit1Gtk+ (as checked in the GtkLauncher app), both in 1.10 and 2.0.
Comment 9 Sami Wagiaalla 2013-12-19 08:04:50 PST
Hi Zan,

> The issue in the first place was the Talk plugin running with an incorrect libudev shared library, but this seems to have been fixed.

How did you diagnose that ? And did you find any workarounds ?
I am working on a possibly related issue where eclipse (which uses webkit1) crashes when google-talkplugin is installed (https://bugs.eclipse.org/bugs/show_bug.cgi?id=334466)